'use strict';

var build = require('./build');
var deploy = require('./deploy');

console.log('HELLO');
console.log(build);

var command = process.argv[2];
var folder = process.argv[3];

switch (command) {
  case 'build':
    {
      build({
        folder: folder
      });
      break;
    }
  case 'build:frontful':
    {
      build({
        transpile: false,
        folder: folder
      });
      break;
    }
  case 'deploy':
    {
      deploy({
        folder: folder
      });
      break;
    }
  case 'deploy:frontful':
    {
      deploy({
        transpile: false,
        folder: folder
      });
      break;
    }
  default:
    {}
}